StyleGenerationRequest
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.publishing.gis
Class StyleGenerationRequest

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.publishing.gis.StyleGenerationRequest

    public class StyleGenerationRequest

extends java.lang.Object

Nested Class Summary
`static class` | `StyleGenerationRequest.ClusterScaleType`

Constructor Summary
`StyleGenerationRequest()`

Method Summary
`java.lang.String` | `getAttributeName()`
`static StyleGenerationRequest` | `getBiodiversityStyle(int min, int max, StyleGenerationRequest.ClusterScaleType type, java.lang.String mapName)`
`java.awt.Color` | `getC1()`
`java.awt.Color` | `getC2()`
`StyleGenerationRequest.ClusterScaleType` | `getClusterScaleType()`
`static java.lang.String` | `getDefaultDistributionStyle()`
`java.lang.String` | `getMax()`
`java.lang.String` | `getMin()`
`java.lang.String` | `getNameStyle()`
`int` | `getNClasses()`
`java.lang.Class` | `getTypeValue()`
`void` | `setAttributeName(java.lang.String attributeName)`
`void` | `setC1(java.awt.Color c1)`
`void` | `setC2(java.awt.Color c2)`
`void` | `setClusterScaleType(StyleGenerationRequest.ClusterScaleType clusterScaleType)`
`void` | `setMax(java.lang.String max)`
`void` | `setMin(java.lang.String min)`
`void` | `setNameStyle(java.lang.String nameStyle)`
`void` | `setNClasses(int classes)`
`void` | `setTypeValue(java.lang.Class typeValue)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleGenerationRequest

    public StyleGenerationRequest()

Method Detail

### getDefaultDistributionStyle

    public static java.lang.String getDefaultDistributionStyle()
                                                        throws ParameterNotFoundException,
                                                               ScopeNotFoundException

  Throws:
    `ParameterNotFoundException`
    `ScopeNotFoundException`

### getBiodiversityStyle

    public static StyleGenerationRequest getBiodiversityStyle(int min,
                                                              int max,
                                                              StyleGenerationRequest.ClusterScaleType type,
                                                              java.lang.String mapName)

### getNameStyle

    public java.lang.String getNameStyle()

  Returns:
    the nameStyle

### setNameStyle

    public void setNameStyle(java.lang.String nameStyle)

  Parameters:
    `nameStyle` - the nameStyle to set

### getAttributeName

    public java.lang.String getAttributeName()

  Returns:
    the attributeName

### setAttributeName

    public void setAttributeName(java.lang.String attributeName)

  Parameters:
    `attributeName` - the attributeName to set

### getNClasses

    public int getNClasses()

  Returns:
    the nClasses

### setNClasses

    public void setNClasses(int classes)

  Parameters:
    `classes` - the nClasses to set

### getC1

    public java.awt.Color getC1()

  Returns:
    the c1

### setC1

    public void setC1(java.awt.Color c1)

  Parameters:
    `c1` - the c1 to set

### getC2

    public java.awt.Color getC2()

  Returns:
    the c2

### setC2

    public void setC2(java.awt.Color c2)

  Parameters:
    `c2` - the c2 to set

### getTypeValue

    public java.lang.Class getTypeValue()

  Returns:
    the typeValue

### setTypeValue

    public void setTypeValue(java.lang.Class typeValue)

  Parameters:
    `typeValue` - the typeValue to set

### getMax

    public java.lang.String getMax()

  Returns:
    the max

### setMax

    public void setMax(java.lang.String max)

  Parameters:
    `max` - the max to set

### getMin

    public java.lang.String getMin()

  Returns:
    the min

### setMin

    public void setMin(java.lang.String min)

  Parameters:
    `min` - the min to set

### setClusterScaleType

    public void setClusterScaleType(StyleGenerationRequest.ClusterScaleType clusterScaleType)

### getClusterScaleType

    public StyleGenerationRequest.ClusterScaleType getClusterScaleType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD